<?php
class AddedTheMissingIsEuField extends CakeMigration {

/**
 * Migration description
 *
 * @var string
 */
	public $description = 'added_the_missing_is_eu_field';

/**
 * Actions to be performed
 *
 * @var array $migration
 */
	public $migration = array(
		'up' => array(
			'create_field' => array(
				'ev_country_countries' => array(
					'is_eu' => array('type' => 'boolean', 'null' => false, 'default' => '0', 'after' => 'iso2'),
				),
			),
		),
		'down' => array(
			'drop_field' => array(
				'ev_country_countries' => array('is_eu'),
			),
		),
	);

/**
 * Before migration callback
 *
 * @param string $direction Direction of migration process (up or down)
 * @return bool Should process continue
 */
	public function before($direction) {
		return true;
	}

/**
 * After migration callback
 *
 * @param string $direction Direction of migration process (up or down)
 * @return bool Should process continue
 */
	public function after($direction) {
		return true;
	}
}
